Bug 2022037 - fizz: FTBFS with OpenSSL 3.0.0
Summary: fizz: FTBFS with OpenSSL 3.0.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fizz
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F36FTBFS OpenSSL3.0
TreeView+ depends on / blocked
 
Reported: 2021-11-10 15:42 UTC by Sahana Prasad
Modified: 2021-12-23 21:50 UTC (History)
3 users (show)

Fixed In Version: fizz-2021.11.29.00-3.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-12-23 21:50:15 UTC
Type: Bug


Attachments (Terms of Use)

Description Sahana Prasad 2021-11-10 15:42:57 UTC
This bug is used to track the readiness of fizz  with OpenSSL 3.0.0.

Currently the build fails to build with OpenSSL 3.0.0 with the following logs
Task info: https://koji.fedoraproject.org/koji/taskinfo?taskID=78020182

Kindly fix them to ensure this package builds with OpenSSL 3.0.0

You can treat the deprecated warnings not as errors if you want to continue to use deprecated functions, but it is encouraged to use the new APIs, and this migration could be done sooner than later.

To not treat deprecated warnings as errors, you may use
-Wno-error=deprecated-declarations

To port to new APIs, kindly refer to the OpenSSL upstream migration guide:
https://www.openssl.org/docs/manmaster/man7/migration_guide.html

Thank you

Comment 1 Fedora Update System 2021-12-23 21:50:15 UTC
FEDORA-2021-2be203daaa has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.